> For the complete documentation index, see [llms.txt](https://developers.docstudio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.docstudio.com/api-documentation/api-methods/account-domains/confirm-account-domain-verification.md).

# Confirm Account Domain Verification

Use this endpoint after you add the required DNS record for the domain. Confirm the verification request and wait for the platform to check the domain ownership.

<table><thead><tr><th width="233">Endpoint</th><th></th></tr></thead><tbody><tr><td>Method</td><td>PATCH</td></tr><tr><td>Request URL</td><td><code>/api/v1/account/{accountUuid}/domain/{domainUuid}/confirm</code></td></tr><tr><td><strong>Headers</strong></td><td></td></tr><tr><td>Authorization *</td><td>Bearer TOKEN</td></tr><tr><td>Content-Type</td><td>application/json</td></tr><tr><td><strong>Request</strong></td><td></td></tr><tr><td>accountUuid *</td><td>Target account UUID</td></tr><tr><td>domainUuid *</td><td>Account domain UUID</td></tr></tbody></table>

This endpoint does not require a request body.

### When to use this endpoint

1. Add the domain to the account.
2. Request the verification method and DNS values.
3. Add the required DNS record.
4. Confirm the verification request.

### **Response example**

If the request succeeds, the response returns the current domain information. The domain status can remain `UNVERIFIED` until the ownership check finishes.

```json
{
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "accountUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "domain": "google.com",
    "status": "UNVERIFIED",
    "verifyInfo" : {
        "domain": "_whitedoc-verify",
        "value": "abc123"
    },
    "verifyMethod": "DNS_TXT_RECORD"
}
```

### **Response status codes**

| Code | Description      |
| ---- | ---------------- |
| 200  | Success          |
| 400  | Bad request      |
| 401  | Not authorized   |
| 403  | Forbidden        |
| 404  | Domain not found |

### Related topics

* [Add Account Domain](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/add-account-domain)
* [Verify Account Domain](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/verify-account-domain)
* [Domain Statuses & Verify Methods](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/domain-statuses-and-verify-methods)
